Algemeen forum ontrent de ontwikkelng, design en hosting van weergerelateerde websites (dit laatste om een beetje on topic te blijven)
Door wvdkuil
#62823
@all gebruikers van een YrNo MetNo script.

Voor de scripts die de YrNo of Metno API gebruiken is er vanaf vandaag een probleem als nog de "oude" versie 1.8 gebruikt wordt. In plaats van een xml bestand met een weer-verwachting wordt er een foutboodschap terug gestuurd waar diverse scripts niet correct op zullen reageren.

Voor een tijdelijke snelle aanpassing: Zoek de regel in het script met
Code: Selecteer alles
. . . /weatherapi/locationforecast/1.8/?lat=. . . . 

en verander dat in
Code: Selecteer alles
. . . /weatherapi/locationforecast/1.9/?lat=. . . . 


Dan kunt u weer even van het script gebruik blijven maken.

Maar u moet snel de nieuwste versies van de scripts downloaden omdat niet alleen het versie nummer (1.8 => 1.9) maar ook het aantal iconen (20 => 50) en de tekstomschrijvingen (PCLOUD => PartlyCloudy) zijn aangepast.

Dit geldt alleen voor de scripts die van de API gebruik maken. De YrNo scripts die de "varsel" aanroep
Code: Selecteer alles
http://www.yr.no/place/Belgium/Flanders/Wilsele/varsel.xml
gebruiken hebben hier geen last van.

Voor de gebruikers van de Leuven-template/scripts die dit nog niet hebben gedaan: U vindt de laatste versie van de scripts altijd op http://www.weerstation-leuven.be/?lang=nl. U hoeft natuurlijk alleen het MetNo script te vervangen, niet de template zelf. Er is een on-line beschrijving.

Groeten, Wim
Door tjabine
#62850
Maar u moet snel de nieuwste versies van de scripts downloaden omdat niet alleen het versie nummer (1.8 => 1.9) maar ook het aantal iconen (20 => 50) en de tekstomschrijvingen (PCLOUD => PartlyCloudy) zijn aangepast


Maar waar ga ik deze dan vinden Wim?
Ik zelf heb hem enige tijd geleden hier vandaan gehaald maar deze is nog oud.
Misschien heb jij een nieuwe versie gevonden?

Gr Ron.
Door wvdkuil
#63468
Omdat ik nog steeds de volgende foutboodschappen tegenkom:

[size=4]No valid input found. All data is in the past.[/size]



HERINNERING: Vanaf september werken de MetNo scripts die versie 1.8 gebruiken niet meer. Een kleine aanpassing en de foutboodschappen verdwijnen.

Kijk nog eens hier: http://www.hetweeractueel.nl/forum/weer-website-ontwikkeling-design-en-hosting/60323-yrno-en-metno-problemen-vanaf-9-september

Mochten gebruikers van mijn scripts of template (en natuurlijk ook anderen) problemen hebben met de aanpassing neem dan even contact op via het support systeem of stuur een mail.

@leuven-template gebruikers
Omdat u misschien voor u zelf met de menu keuze "Stel je eigen voorkeuren in" de startpagina aangepast hebt weet u niet altijd wat de andere bezoekers op uw pagina zien.
Klik daarom 1 keer op de naam van uw station in de header. Dan worden alle cookies weg gegooid en ziet u de pagina zoals andere bezoekers die zien.

Wim
Bijlagen
metno_fouten.jpg
metno_fouten.jpg (40.43 KiB) 46 keer bekeken